#
# spec file for package kdvdcreator
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           kdvdcreator
Version:        0.3.2
Release:        1.10
License:        GPL
Summary:        Simply and smart DVD authoring software
Url:            http://sourceforge.net/projects/kdvdcreator/
Group:          Productivity/Multimedia/Video/Editors and Convertors
Source:         http://downloads.sourceforge.net/project/kdvdcreator/kdvdcreator/0.3.2/KDVDCreator.0.3.2.tar.gz
Source1:        media-optical.png
# PATCH-FIX-UPSTREAM kdcdvddisc_missing_return.patch fisiu@opensuse.org -- add missing return statement
Patch0:         kdcdvddisc_missing_return.patch
BuildRequires:  libkde4-devel
Requires:       ImageMagick
Requires:       MPlayer
Requires:       dvdauthor
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%kde4_runtime_requires

%description
Easy to use, user friendly and first of all smart, application to create video
VCD, SVCD or DVD, suitables for home players, from any number of video files,
in any of the formats supported by Mplayer/Mencoder.

%prep
%setup -q -n KDVDCreator.%{version}
%patch0

%build
%cmake_kde4 -d build
%make_jobs

%install
pushd build
%make_install
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/media-optical.png
sed -e 's:application/x-kdvdcreator:application/x-kdvdcreator;:g' -i %{buildroot}%{_datadir}/applications/kde4/kdvdcreator.desktop
%suse_update_desktop_file -r kdvdcreator DiscBurning AudioVideo

%clean
%{?buildroot:rm -rf %{buildroot}}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/kdvdcreator
%{_datadir}/kde4/apps/KDVDCreator
%{_datadir}/applications/kde4/kdvdcreator.desktop
%{_datadir}/kde4/apps/KDVDCreator/KDVDCreatorui.rc
%{_datadir}/kde4/apps/KDVDCreator/data/*
%{_datadir}/kde4/config.kcfg/kdcconfig.kcfg
%{_datadir}/pixmaps/media-optical.png

%changelog
* Fri Jul 15 2011 fisiu@opensuse.org
- update to 0.3.2, bugfix release
* Fri Mar  6 2009 tittiatwork@hotmail.com
- Fix in spec file regarding icon file.
* Wed Mar 26 2008 cgoncalves@opensuse.org
- updated to version 0.3
  * chapters
  * disc structure
  * preview ( static, on fly )
  * video player ( video driver and audio track via RMB )
  * now you can set gui/data update interval ( it's important, because
    refreshing data and gui, in particular during conversion, it's not for free )
* Sat Feb  9 2008 cgoncalves@opensuse.org
- initial release (version 0.2)
